<br />
<div align="center">
  <a href="https://git.gnm.dev/Mathias/ObstacleGame/">
    <img src="https://git.gnm.dev/Mathias/ObstacleGame/raw/branch/main/res/logo.png" alt="Logo" width="200">
  </a>
</div>


## 🎮 Obstacle Game

Entwickelt für die Berufschule: Ein Spiel, in welchem du Gegnern ausweichen musst. Geschrieben in C++ mit der SDL2 Library.

### ⬇️ Installation

1. Klone das Repository
   ```sh
   git clone https://git.gnm.dev/Mathias/ObstacleGame.git
   ```
   
2. Installer SDL2, SDL2_image, SDL2_ttf, SDL2_mixer
   ```sh
   sudo apt-get install libsdl2-dev libsdl2-image-dev libsdl2-ttf-dev libsdl2-mixer-dev
   ```
   
3. Installer CMake
   ```sh
    sudo apt-get install cmake
    ```
   
4. Baue das Projekt
    ```sh
    mkdir build
    cd build
    cmake ..
    make
    ```
   
5. Starte das Spiel
    ```sh
    ./ObstacleGame
    ```
   
### 📝 License

Distributed under the MIT License. See `LICENSE` for more information.
